<?php


namespace App\ViewModels\Perfil\PerfilListingViewModel;


use App\Utils\Entity;

class PerfilListingViewModel extends Entity
{
    protected $perfil_id;
    protected $perfil_nome;

    public static function builder() : PerfilListingViewModelBuilder
    {
        return new PerfilListingViewModelBuilder;
    }

    /**
     * @return mixed
     */
    public function getPerfilId()
    {
        return $this->perfil_id;
    }

    /**
     * @param mixed $perfil_id
     */
    public function setPerfilId($perfil_id): void
    {
        $this->perfil_id = $perfil_id;
    }

    /**
     * @return mixed
     */
    public function getPerfilNome()
    {
        return $this->perfil_nome;
    }

    /**
     * @param mixed $perfil_nome
     */
    public function setPerfilNome($perfil_nome): void
    {
        $this->perfil_nome = $perfil_nome;
    }
}